Subject: [ANNOUNCE] GNU Emacs 19.9 Binaries for Linux are Now Available
From: Rik Faith <[email-masked]>
Date: Sun, 30 May 1993 20:12:53 GMT
Newsgroups: comp.os.linux.announce

I have uploaded Linux binaries for GNU Emacs 19.9 to:
    sunsite.unc.edu
    tsx-11.mit.edu

Please get emacs-19.9-A.Notes if you want the Linux-specific patches and
instructions on how to build Emacs 19.9 from the source distribution --
many important fixes to the signal handling and I/O are included (thanks to
Rick Sladkey).  This file also contains information on how to build emacs19
with gcc 2.4.0 -- these problems should be fixed with gcc 2.4.1.

Please get the following gzip'd tar files to install the binary release:
    emacs-19.9-A.bin.1of5.tar.z                 binaries
    emacs-19.9-A.bin.2of5.tar.z                 binaries
    emacs-19.9-A.bin.3of5.tar.z                 mostly lisp
    emacs-19.9-A.bin.4of5.tar.z                 mostly lisp
    emacs-19.9-A.bin.5of5.tar.z                 mostly lisp

Each tar.z file should fit on a 1.2MB floppy.

The binaries are linked shared with:
        libX11.so.3 (DLL Jump 3.0pl0)
        libc.so.4 (DLL Jump 4.3pl3)
        libm.so.4 (DLL Jump 4.3pl3)

Most of the binaries are stripped.  You can strip the others.  The next
binary release will have them all stripped.

The binary gets installed in /usr/bin/emacs-19.9, so it will not over-write
/usr/bin/emacs.

The libraries and support files are in /usr/lib/emacs, so it will not
over-write /usr/emacs.

Info is in /usr/info, so it will not over-write /usr/emacs/info.

Man pages are installed in /usr/man/man1, so they will probably over-write
the old man pages.

These are the new standard places for emacs19 to install things when
prefix=/usr.  It is a Good Thing that these choices also allow the
installation of emacs19 without messing up the emacs18 installation.

NOTE THAT YOUR EMACS 19.7 AND EMACS 19.8 INSTALLATION *WILL* BE
OVERWRITTEN, BUT /usr/bin/emacs-19.7 and/or /usr/bin/emacs-19.8 WILL *NOT*
BE REMOVED.

When you get emacs19 up, be sure that your .emacs file doesn't have the
emacs18 lisp files in the load-path before the emacs19 lisp files, or you
will get all sorts of interesting errors.  Please see the
emacs-19.9-A.Notes file for other suggestions on getting things working.

Since all of the neat features are X related, there seems little point in
building a non-X version at this time.  Later, when emacs19 has stabilized a
bit, I will build a non-X version for those that do not have X installed.
Note that the version that I have built *will* run in an xterm with "emacs
-nw" and *will* run on the console, you just need to have the X11 library
on-line to run it.  (The problems with the cursor keys are a problem with
/etc/termcap, and not a problem with emacs19.)

Please send patches and bug reports to [email-masked]